Dashboard User Audit API 
=========================

#### API reference for viewing Dashboard users for Monitor 

These endpoints are used to look up a Dashboard user, as referenced in an `audit_trail` object from the [Monitor](https://plaid.com/docs/api/products/monitor/index.html.md) API.

| Endpoints |  |
| --- | --- |
| [/dashboard\_user/get](https://plaid.com/docs/api/kyc-aml-users/index.html.md#dashboard_userget) | Retrieve information about Dashboard user |
| [/dashboard\_user/list](https://plaid.com/docs/api/kyc-aml-users/index.html.md#dashboard_userlist) | List Dashboard users |

\=\*=\*=\*=

#### /dashboard\_user/get 

#### Retrieve a Dashboard user 

The [/dashboard\_user/get](https://plaid.com/docs/api/kyc-aml-users/index.html.md#dashboard_userget) endpoint provides details (such as email address) about a specific Dashboard user based on the `dashboard_user_id` field, which is returned in the `audit_trail` object of certain Monitor and Beacon endpoints. This can be used to identify the specific reviewer who performed a Dashboard action.

#### Request fields 

required, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

```node
const request: DashboardUserGetRequest = {
  dashboard_user_id: 'usr_1SUuwqBdK75GKi',
};

try {
  const response = await client.dashboardUserGet(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/dashboard_user/get \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "dashboard_user_id": "usr_1SUuwqBdK75GKi"
}'

```

```ruby
request = Plaid::DashboardUserGetRequest.new(
  {
    dashboard_user_id: 'usr_1SUuwqBdK75GKi',
  }
)

response = client.dashboard_user_get(request)

```

```java
DashboardUserGetRequest request = new DashboardUserGetRequest()
  .dashboardUserId("usr_1SUuwqBdK75GKi");

Response response = client()
  .dashboardUserGet(request)
  .execute();

```

```python
request = DashboardUserGetRequest(
  dashboard_user_id='usr_1SUuwqBdK75GKi',
)
response = client.dashboard_user_get(request)

```

```go
request := plaid.NewDashboardUserGetRequest("usr_1SUuwqBdK75GKi")

response, _, err := client.PlaidApi.
  DashboardUserGet(ctx).
  DashboardUserGetRequest(*request).
  Execute()
if err != nil {
  // handle error
}

```

#### Response fields 

string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see [RFC 3696](https://datatracker.ietf.org/doc/html/rfc3696) .

Format: `email`

string

The current status of the user.

Possible values: `invited`, `active`, `deactivated`

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "id": "54350110fedcbaf01234ffee",
  "created_at": "2020-07-24T03:26:02Z",
  "email_address": "user@example.com",
  "status": "active",
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /dashboard\_user/list 

#### List Dashboard users 

The [/dashboard\_user/list](https://plaid.com/docs/api/kyc-aml-users/index.html.md#dashboard_userlist) endpoint provides details (such as email address) about all Dashboard users associated with your account. This can be used to audit or track the list of reviewers for Monitor, Beacon, and Identity Verification products.

#### Request fields 

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

string

An identifier that determines which page of results you receive.

```node
try {
  const response = await client.dashboardUserList({});
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/dashboard_user/list \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}"
}'

```

```ruby
response = client.dashboard_user_list({})

```

```java
Response response = client()
  .dashboardUserList(new DashboardUserListRequest())
  .execute();

```

```python
request = DashboardUserListRequest(
  cursor='eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM',
)
response = client.dashboard_user_list(request)

```

```go
request := plaid.NewDashboardUserListRequest()

response, _, err := client.PlaidApi.
  DashboardUserList(ctx).
  DashboardUserListRequest(*request).
  Execute()
if err != nil {
  // handle error
}

```

#### Response fields 

\[object\]

List of dashboard users

string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see [RFC 3696](https://datatracker.ietf.org/doc/html/rfc3696) .

Format: `email`

string

The current status of the user.

Possible values: `invited`, `active`, `deactivated`

nullable, string

An identifier that determines which page of results you receive.

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "dashboard_users": [
    {
      "id": "54350110fedcbaf01234ffee",
      "created_at": "2020-07-24T03:26:02Z",
      "email_address": "user@example.com",
      "status": "active"
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
```